=== debian/changelog ===
bootc (1.9.0+composefs+vendor-0~2) unstable; urgency=medium

  * install dracut files

 -- Noah Meyerhans <noahm@debian.org>  Fri, 19 Sep 2025 12:14:03 -0400

bootc (1.9.0+composefs+vendor-0~1) unstable; urgency=medium

  * Use vendored dependencies
  * Patch dead_code compile failures

 -- Noah Meyerhans <noahm@debian.org>  Thu, 18 Sep 2025 12:20:56 -0400

bootc (1.9.0+composefs-0~2) unstable; urgency=medium

  * install bootc-initramfs-setup

 -- Noah Meyerhans <noahm@debian.org>  Wed, 17 Sep 2025 16:51:05 -0400

bootc (1.9.0+composefs-0~1) unstable; urgency=medium

  * New upstream version based on 19e82be84 ("Merge pull request #1444
    from bootc-dev/composefs-backend")

 -- Noah Meyerhans <noahm@debian.org>  Wed, 17 Sep 2025 15:50:00 -0400

bootc (1.7.1-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Noah Meyerhans <noahm@debian.org>  Mon, 08 Sep 2025 15:57:46 -0400
