=== debian/control ===
Source: bootc
Section: admin
Priority: optional
Maintainer: Noah Meyerhans <noahm@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libostree-dev,
 go-md2man,
 rustup <upstream-cargo>,
 cargo <!upstream-cargo>,
 libstd-rust-dev <!upstream-cargo>,
 rustc <!upstream-cargo>,
 librust-anstream-0.6+default-dev <!upstream-cargo>,
 librust-anstyle-1+default-dev (>= 1.0.6-~~) <!upstream-cargo>,
 librust-anyhow-1+default-dev (>= 1.0.82-~~) <!upstream-cargo>,
 librust-bootc-lib-1+default-dev (>= 1.7-~~) <!upstream-cargo>,
 librust-bootc-mount+default-dev <!upstream-cargo>,
 librust-bootc-sysusers+default-dev <!upstream-cargo>,
 librust-bootc-tmpfiles+default-dev <!upstream-cargo>,
 librust-camino-1+default-dev (>= 1.1.6-~~) <!upstream-cargo>,
 librust-camino-1+serde1-dev (>= 1.1.6-~~) <!upstream-cargo>,
 librust-canon-json-0.2+default-dev (>= 0.2.1-~~) <!upstream-cargo>,
 librust-cap-std-ext-4+default-dev (>= 4.0.3-~~) <!upstream-cargo>,
 librust-cap-std-ext-4+fs-utf8-dev (>= 4.0.3-~~) <!upstream-cargo>,
 librust-chrono-0.4-dev (>= 0.4.38-~~) <!upstream-cargo>,
 librust-chrono-0.4+serde-dev (>= 0.4.38-~~) <!upstream-cargo>,
 librust-chrono-0.4+std-dev (>= 0.4.38-~~) <!upstream-cargo>,
 librust-clap-4+cargo-dev (>= 4.5.4-~~) <!upstream-cargo>,
 librust-clap-4+default-dev (>= 4.5.4-~~) <!upstream-cargo>,
 librust-clap-4+derive-dev (>= 4.5.4-~~) <!upstream-cargo>,
 librust-comfy-table-7+default-dev (>= 7.1.1-~~) <!upstream-cargo>,
 librust-composefs-boot+default-dev <!upstream-cargo>,
 librust-composefs+default-dev <!upstream-cargo>,
 librust-composefs-oci+default-dev <!upstream-cargo>,
 librust-composefs+rhel9-dev <!upstream-cargo>,
 librust-containers-image-proxy-0.8+default-dev <!upstream-cargo>,
 librust-crossterm-0.29+default-dev <!upstream-cargo>,
 librust-dialoguer-0.11+default-dev <!upstream-cargo>,
 librust-flate2-1+zlib-dev (>= 1.0.20-~~) <!upstream-cargo>,
 librust-fn-error-context-0.2+default-dev (>= 0.2.1-~~) <!upstream-cargo>,
 librust-futures-util-0.3+default-dev (>= 0.3.13-~~) <!upstream-cargo>,
 librust-gvariant-0.5+default-dev <!upstream-cargo>,
 librust-hex-0.4+default-dev (>= 0.4.3-~~) <!upstream-cargo>,
 librust-indexmap-2+default-dev (>= 2.2.2-~~) <!upstream-cargo>,
 librust-indexmap-2+serde-dev (>= 2.2.2-~~) <!upstream-cargo>,
 librust-indicatif-0.18+default-dev <!upstream-cargo>,
 librust-indoc-2+default-dev (>= 2.0.5-~~) <!upstream-cargo>,
 librust-io-lifetimes-3+default-dev <!upstream-cargo>,
 librust-libc-0.2+default-dev (>= 0.2.154-~~) <!upstream-cargo>,
 librust-liboverdrop-0.1+default-dev <!upstream-cargo>,
 librust-libsystemd-0.7+default-dev <!upstream-cargo>,
 librust-libtest-mimic-0.8+default-dev <!upstream-cargo>,
 librust-linkme-0.3+default-dev <!upstream-cargo>,
 librust-log-0.4+default-dev (>= 0.4.21-~~) <!upstream-cargo>,
 librust-mandown-1+default-dev (>= 1.1.0-~~) <!upstream-cargo>,
 librust-nom-8+default-dev <!upstream-cargo>,
 librust-ocidir-0.4+default-dev <!upstream-cargo>,
 librust-oci-spec-0.8+default-dev <!upstream-cargo>,
 librust-openssh-keys-0.6+default-dev (>= 0.6.4-~~) <!upstream-cargo>,
 librust-openssl-0.10+default-dev (>= 0.10.72-~~) <!upstream-cargo>,
 librust-ostree-0.20+default-dev (>= 0.20.3-~~) <!upstream-cargo>,
 librust-ostree-0.20+v2025-3-dev (>= 0.20.3-~~) <!upstream-cargo>,
 librust-ostree-ext+bootc-dev <!upstream-cargo>,
 librust-ostree-ext+default-dev <!upstream-cargo>,
 librust-owo-colors-4+default-dev <!upstream-cargo>,
 librust-pin-project-1+default-dev <!upstream-cargo>,
 librust-regex-1+default-dev (>= 1.10.4-~~) <!upstream-cargo>,
 librust-rexpect-0.6+default-dev <!upstream-cargo>,
 librust-rustix-1+default-dev <!upstream-cargo>,
 librust-rustix-1+fs-dev <!upstream-cargo>,
 librust-rustix-1+mount-dev <!upstream-cargo>,
 librust-rustix-1+net-dev <!upstream-cargo>,
 librust-rustix-1+process-dev <!upstream-cargo>,
 librust-rustix-1+system-dev <!upstream-cargo>,
 librust-rustix-1+thread-dev <!upstream-cargo>,
 librust-rustix-1+use-libc-dev <!upstream-cargo>,
 librust-schemars-1+chrono04-dev (>= 1.0.4-~~) <!upstream-cargo>,
 librust-schemars-1+default-dev (>= 1.0.4-~~) <!upstream-cargo>,
 librust-serde-1+default-dev (>= 1.0.199-~~) <!upstream-cargo>,
 librust-serde-1+derive-dev (>= 1.0.199-~~) <!upstream-cargo>,
 librust-serde-ignored-0.1+default-dev (>= 0.1.10-~~) <!upstream-cargo>,
 librust-serde-json-1+default-dev (>= 1.0.116-~~) <!upstream-cargo>,
 librust-serde-yaml-0.9+default-dev (>= 0.9.22-~~) <!upstream-cargo>,
 librust-serde-yaml-0.9+default-dev (>= 0.9.34-~~) <!upstream-cargo>,
 librust-shlex-1+default-dev (>= 1.3-~~) <!upstream-cargo>,
 librust-tar-0.4+default-dev <!upstream-cargo>,
 librust-tar-0.4+default-dev (>= 0.4.43-~~) <!upstream-cargo>,
 librust-tempfile-3+default-dev (>= 3.10.1-~~) <!upstream-cargo>,
 librust-thiserror-2+default-dev (>= 2.0.11-~~) <!upstream-cargo>,
 librust-tini-1+default-dev (>= 1.3.0-~~) <!upstream-cargo>,
 librust-tokio+default-dev (>= 1.37.0-~~) <!upstream-cargo>,
 librust-tokio+io-std-dev (>= 1.37.0-~~) <!upstream-cargo>,
 librust-tokio+macros-dev (>= 1.37.0-~~) <!upstream-cargo>,
 librust-tokio+net-dev (>= 1.37.0-~~) <!upstream-cargo>,
 librust-tokio+process-dev (>= 1.37.0-~~) <!upstream-cargo>,
 librust-tokio+rt-dev (>= 1.37.0-~~) <!upstream-cargo>,
 librust-tokio+signal-dev (>= 1.37.0-~~) <!upstream-cargo>,
 librust-tokio-stream-0.1+default-dev (>= 0.1.8-~~) <!upstream-cargo>,
 librust-tokio-stream-0.1+sync-dev (>= 0.1.8-~~) <!upstream-cargo>,
 librust-tokio+time-dev (>= 1.37.0-~~) <!upstream-cargo>,
 librust-tokio-util-0.7+default-dev (>= 0.7.10-~~) <!upstream-cargo>,
 librust-tokio-util-0.7+io-util-dev (>= 0.7.10-~~) <!upstream-cargo>,
 librust-toml-0.9+default-dev (>= 0.9.5-~~) <!upstream-cargo>,
 librust-tracing-0.1+default-dev (>= 0.1.40-~~) <!upstream-cargo>,
 librust-tracing-subscriber-0.3+default-dev (>= 0.3.18-~~) <!upstream-cargo>,
 librust-tracing-subscriber-0.3+env-filter-dev (>= 0.3.18-~~) <!upstream-cargo>,
 librust-uapi-version-0.4+default-dev <!upstream-cargo>,
 librust-uuid-1+default-dev (>= 1.8.0-~~) <!upstream-cargo>,
 librust-uuid-1+v4-dev (>= 1.8.0-~~) <!upstream-cargo>,
 librust-uzers-0.12+default-dev <!upstream-cargo>,
 librust-which-8+default-dev <!upstream-cargo>,
 librust-xshell-0.2+default-dev (>= 0.2.6-~~) <!upstream-cargo>,
 librust-zstd-0.13+default-dev (>= 0.13.1-~~) <!upstream-cargo>,
 librust-zstd-0.13+pkg-config-dev (>= 0.13.1-~~) <!upstream-cargo>,
Standards-Version: 4.7.2
Homepage: https://github.com/bootc-dev/bootc
#Vcs-Browser: https://salsa.debian.org/debian/bootc
#Vcs-Git: https://salsa.debian.org/debian/bootc.git

Package: bootc
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 coreos-bootupd
Description: Transactional, in-place operating system updates using OCI container images
 The original Docker container model of using "layers" to model
 applications has been extremely successful. This project aims to
 apply the same technique for bootable host systems - using standard
 OCI/Docker containers as a transport and delivery format for base
 operating system updates.
 .
 The container image includes a Linux kernel (in
 e.g. /usr/lib/modules), which is used to boot. At runtime on a target
 system, the base userspace is not itself running in a "container" by
 default. For example, assuming systemd is in use, systemd acts as
 pid1 as usual - there's no "outer" process. More about this in the
 docs; see below.
