=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# See FEATURE AREAS in dpkg-buildflags(1).
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PKG_CONFIG_PATH=/usr/lib/x86_64-linux-gnu/pkgconfig

%:
	dh $@

override_dh_auto_build:
	CARGO_FEATURES=composefs-backend make all

override_dh_auto_install:
	DESTDIR=debian/bootc make install-all install-initramfs-dracut

override_dh_clean:
	dh_clean -XCargo.toml.orig

execute_after_dh_auto_clean:
	-rm -rf target

override_dh_auto_test:
	cargo test

# dh_make generated override targets.
# This is an example for Cmake (see <https://bugs.debian.org/641051>).
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
